import { defineComponent, resolveComponent, openBlock, createElementBlock, createElementVNode, createBlock, createCommentVNode } from 'vue';
import { format } from 'date-fns';
import script$1 from './calendar.js';

var script = defineComponent({
    name: "CalendarWithInput",
    components: { Calendar: script$1 },
    props: ["disableBefore"],
    data() {
        return {
            isVisible: false,
            selected: ""
        };
    },
    methods: {
        updateDate({ selected }) {
            this.isVisible = false;
            this.selected = format(selected, "yyyy-MM-dd");
            this.$emit("change", { selected });
        }
    }
});

const _hoisted_1 = { class: "relative w-1/2" };
const _hoisted_2 = ["value"];

function render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_calendar = resolveComponent("calendar");

  return (openBlock(), createElementBlock("div", _hoisted_1, [
    createElementVNode("input", {
      onClick: _cache[0] || (_cache[0] = $event => (_ctx.isVisible = true)),
      type: "text",
      value: _ctx.selected,
      class: "border"
    }, null, 8 /* PROPS */, _hoisted_2),
    (_ctx.isVisible)
      ? (openBlock(), createBlock(_component_calendar, {
          key: 0,
          onChange: _ctx.updateDate,
          disableBefore: _ctx.disableBefore,
          class: "absolute"
        }, null, 8 /* PROPS */, ["onChange", "disableBefore"]))
      : createCommentVNode("v-if", true)
  ]))
}

script.render = render;
script.__file = "src/components/calendarWithInput.vue";

export { script as default };
